com.mapinfo.midev.language.aggregation

## Class AggregatingOperation

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.language.aggregation.AggregatingOperation

All Implemented Interfaces:
  Serializable, Comparable

    public final class AggregatingOperation
    extends Enum

Enumeration of all the aggregation operations that may be specified in an aggregating search or that a data provider supports.

See Also:
  Serialized Form

### Field Summary

Fields
`static Set` `ALL` All the `AggregatingOperation`s in one, immutable `Set`.
`static AggregatingOperation` `AVG` AVG(attributeName)
`static AggregatingOperation` `COUNT_ALL` COUNT(*)
`static AggregatingOperation` `COUNT_DISTINCT` COUNT(attributeName)
`static AggregatingOperation` `GROUP_BY` GROUP BY attributeName
`static AggregatingOperation` `MAJORITY` MAJORITY(attributeName)
`static AggregatingOperation` `MAX` MAX(attributeName)
`static AggregatingOperation` `MBR` MBR(attributeName) Do a spatial union of all the envelopes of all the geometries in the specified column.
`static AggregatingOperation` `MBR_CENTROID` MBR_CENTROID(attributeName) Return centroid of the envelope, after doing spatial union of all the envelopes of all the geometries in the specified column.
`static AggregatingOperation` `MEDIAN` MEDIAN(attributeName)
`static AggregatingOperation` `MIN` MIN(attributeName)
`static AggregatingOperation` `MODE` MODE(attributeName)
`static AggregatingOperation` `NONE` No aggregate operation, attribute in select clause.
`static AggregatingOperation` `SAME` SAME(attributeName)
`static AggregatingOperation` `STDDEV` STDDEV(attributeName)
`static AggregatingOperation` `SUM` SUM(attributeName)
`static AggregatingOperation` `UNION` UNION(attributeName) Do a spatial union of all the geometries in the specified column.

### Method Summary

All Methods Static Methods Concrete Methods
`static AggregatingOperation` `valueOf(String name)`
`static AggregatingOperation[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### GROUP_BY

    public static final AggregatingOperation GROUP_BY

GROUP BY attributeName

#### COUNT_ALL

    public static final AggregatingOperation COUNT_ALL

COUNT(*)

#### COUNT_DISTINCT

    public static final AggregatingOperation COUNT_DISTINCT

COUNT(attributeName)

#### MIN

    public static final AggregatingOperation MIN

MIN(attributeName)

#### MAX

    public static final AggregatingOperation MAX

MAX(attributeName)

#### AVG

    public static final AggregatingOperation AVG

AVG(attributeName)

#### SUM

    public static final AggregatingOperation SUM

SUM(attributeName)

#### STDDEV

    public static final AggregatingOperation STDDEV

STDDEV(attributeName)

#### UNION

    public static final AggregatingOperation UNION

UNION(attributeName) Do a spatial union of all the geometries in the specified column.

#### MEDIAN

    public static final AggregatingOperation MEDIAN

MEDIAN(attributeName)

#### MBR

    public static final AggregatingOperation MBR

MBR(attributeName) Do a spatial union of all the envelopes of all the geometries in the specified column.

#### MODE

    public static final AggregatingOperation MODE

MODE(attributeName)

#### MAJORITY

    public static final AggregatingOperation MAJORITY

MAJORITY(attributeName)

#### SAME

    public static final AggregatingOperation SAME

SAME(attributeName)

#### MBR_CENTROID

    public static final AggregatingOperation MBR_CENTROID

MBR_CENTROID(attributeName) Return centroid of the envelope, after doing spatial union of all the envelopes of all the geometries in the specified column.

#### NONE

    public static final AggregatingOperation NONE

No aggregate operation, attribute in select clause.

#### ALL

    public static final Set ALL

All the `AggregatingOperation`s in one, immutable `Set`.

### Method Detail

#### values

    public static AggregatingOperation[] values()

#### valueOf

    public static AggregatingOperation valueOf(String name)